/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.restopenapisink;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSinkConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelRestopenapisinkSinkConnectorConfig
        extends
            CamelSinkConnectorConfig {

    public static final String CAMEL_SINK_RESTOPENAPISINK_KAMELET_SPECIFICATION_CONF = "camel.kamelet.rest-openapi-sink.specification";
    public static final String CAMEL_SINK_RESTOPENAPISINK_KAMELET_SPECIFICATION_DOC = "The URI to the OpenApi specification file. Example: https://api.example.com/openapi.json";
    public static final String CAMEL_SINK_RESTOPENAPISINK_KAMELET_SPECIFICATION_DEFAULT = null;
    public static final String CAMEL_SINK_RESTOPENAPISINK_KAMELET_OPERATION_CONF = "camel.kamelet.rest-openapi-sink.operation";
    public static final String CAMEL_SINK_RESTOPENAPISINK_KAMELET_OPERATION_DOC = "The operation to call.";
    public static final String CAMEL_SINK_RESTOPENAPISINK_KAMELET_OPERATION_DEFAULT = null;

    public CamelRestopenapisinkSinkConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelRestopenapisinkSinkConnectorConfig(
            Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSinkConnectorConfig.conf());
        conf.define(CAMEL_SINK_RESTOPENAPISINK_KAMELET_SPECIFICATION_CONF, ConfigDef.Type.STRING, CAMEL_SINK_RESTOPENAPISINK_KAMELET_SPECIFICATION_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_RESTOPENAPISINK_KAMELET_SPECIFICATION_DOC);
        conf.define(CAMEL_SINK_RESTOPENAPISINK_KAMELET_OPERATION_CONF, ConfigDef.Type.STRING, CAMEL_SINK_RESTOPENAPISINK_KAMELET_OPERATION_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_RESTOPENAPISINK_KAMELET_OPERATION_DOC);
        return conf;
    }
}